Bug#582072: pitivi crashes with RuntimeError on PPC

Amit Uttamchandani amit.uttam at gmail.com
Tue May 18 06:13:22 UTC 2010

Package: pitivi
Version: 0.13.4-2
Severity: important

Pitivi crashes on startup with the following error on PPC machines. On a
similar set up on a debian squeeze x86 system this does not happen. The
ubuntu bug report is

amitu at debian:~$ pitivi
Cannot connect to server socket err = No such file or directory
Cannot connect to server socket
jack server is not running or cannot be started
Traceback (most recent call last):
  File "/usr/bin/pitivi", line 106, in <module>
  File "/usr/bin/pitivi", line 101, in _run_pitivi
  File "/usr/lib/pitivi/python/pitivi/application.py", line 358, in main
  File "/usr/lib/pitivi/python/pitivi/application.py", line 275, in run
  File "/usr/lib/pitivi/python/pitivi/projectmanager.py", line 179, in newBlankProject
    track = Track(audio)
  File "/usr/lib/pitivi/python/pitivi/timeline/track.py", line 674, in __init__
    self.mixer = self._getMixerForStream(stream)
  File "/usr/lib/pitivi/python/pitivi/timeline/track.py", line 755, in _getMixerForStream
    m = SmartAdderBin()
  File "/usr/lib/pitivi/python/pitivi/elements/mixer.py", line 56, in __init__
    srcpad = gst.GhostPad("src", csp.get_pad("src"))
RuntimeError: could not create GstGhostPad object

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.32-3-powerpc
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages pitivi depends on:
ii  gnome-icon-theme     GNOME Desktop icon theme
ii  gstreamer0.10-alsa [gstream 0.10.29-1    GStreamer plugin for ALSA
ii  gstreamer0.10-gnonlin       0.10.15-1    non-linear editing module for GStr
ii  gstreamer0.10-plugins-bad [ 0.10.18-2+b1 GStreamer plugins from the "bad" s
ii  gstreamer0.10-plugins-base  0.10.29-1    GStreamer plugins from the "base" 
ii  gstreamer0.10-plugins-good  0.10.22-1    GStreamer plugins from the "good" 
ii  gstreamer0.10-pulseaudio [g 0.10.22-1    GStreamer plugin for PulseAudio
ii  gstreamer0.10-x [gstreamer0 0.10.29-1    GStreamer plugins for X11 and Pang
ii  libgstreamer-plugins-base0. 0.10.29-1    GStreamer libraries from the "base
ii  libgstreamer0.10-0          0.10.29-1    Core GStreamer libraries and eleme
ii  python                      2.5.4-9      An interactive high-level object-o
ii  python-cairo                1.8.8-1      Python bindings for the Cairo vect
ii  python-central              0.6.14+nmu2  register and build utility for Pyt
ii  python-dbus                 0.83.1-1     simple interprocess messaging syst
ii  python-gconf                2.28.1-1     Python bindings for the GConf conf
ii  python-glade2               2.17.0-2     GTK+ bindings: Glade support
ii  python-gst0.10              0.10.18-2    generic media-playing framework (P
ii  python-gtk2                 2.17.0-2     Python bindings for the GTK+ widge
ii  python-pkg-resources        0.6.10-4     Package Discovery and Resource Acc
ii  python-pygoocanvas          0.10.0-2+b1  GooCanvas Python bindings
ii  python-zope.interface       3.5.3-1+b1   Interfaces for Python

Versions of packages pitivi recommends:
ii  hal                           0.5.14-2   Hardware Abstraction Layer

Versions of packages pitivi suggests:
pn  gstreamer0.10-ffmpeg        <none>       (no description available)
ii  gstreamer0.10-plugins-bad   0.10.18-2+b1 GStreamer plugins from the "bad" s
ii  gstreamer0.10-plugins-ugly  0.10.14-1    GStreamer plugins from the "ugly" 

-- no debconf information

More information about the Pkg-gstreamer-maintainers mailing list